Composer doesn't draw rasters

2017-09-13 07:54 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Debian 9.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25028

Description

I just installed the latest nightly, 3d3b6d1, and then opened my project in it. This project was migrated to build 1caaa2e a few days ago

and everything appeared to be working fine.

I opened one of the composers and can not see the background rasters (aerial photography) in it, only the shapefile layers. Everything

displays properly in canvas, and I am not selecting a specific set of layers in composer, it is supposed to draw all the layers, and I have

never changed the setting that controls which layers are drawn.

This remained the case until I clicked the button for setting a layer list from a theme. Although the button doesn't do anything as no themes

are defined, the background layers suddenly appeared on the composer.

I don't know anything about map themes and have never used this setting in composer. There is no theme defined and the lock layers

setting is always unchecked. So the composer should be drawing the rasters as soon as it is opened.

Related issues:

Related to QGIS Application - Bug report # 17346: Composer doesn't render ras... Closed 2017-10-28

History

#1 - 2017-09-13 10:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

What about a fresh project, does the same happens?

#2 - 2017-09-13 06:17 PM - Patrick Dunford

New project doesn't seem to have this issue

#3 - 2017-09-13 06:21 PM - Patrick Dunford

someone needs to make a list of all 2.18-3.0 migration issues :)

#4 - 2017-09-13 07:31 PM - Giovanni Manghi

Patrick Dunford wrote:

someone needs to make a list of all 2.18-3.0 migration issues :)
wasn't the project created (or already saved) in a previous QGIS master release?

#5 - 2017-10-28 01:38 PM - Jürgen Fischer

- Related to Bug report #17346: Composer doesn't render rasters added

#6 - 2017-10-30 03:39 AM - Patrick Dunford

If the Follow Map Theme setting isn't ticked (even with theme "(none)" changes that are made to the visibility of other layers at the canvas are not reflected

in the preview when the Update Preview button is pressed.

#7 - 2018-02-22 01:49 PM - Giovanni Manghi

Can you make the point of the situation with the latest available build of QGIS 3? issue still confirmed?

#8 - 2018-08-15 07:36 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
